--- old/usr/src/tools/onbld/hgext/cdm.py	Tue Jan 22 19:17:33 2013
+++ new/usr/src/tools/onbld/hgext/cdm.py	Tue Jan 22 19:17:33 2013
@@ -16,6 +16,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2008, 2011 Richard Lowe
+# Copyright (c) 2013, Joyent Inc. All rights reserved.
 #
 
 '''OpenSolaris extensions to Mercurial
@@ -92,6 +93,7 @@
 sys.path.insert(2, os.path.join(os.path.dirname(__file__), "..", ".."))
 
 from onbld.Scm import Version
+from onbld.Scm import Ignore
 from mercurial import util
 
 try:
@@ -99,7 +101,7 @@
 except Version.VersionMismatch, badversion:
     raise util.Abort("Version Mismatch:\n %s\n" % badversion)
 
-from mercurial import cmdutil, ignore, node, patch
+from mercurial import cmdutil, node, patch
 
 from onbld.Scm.WorkSpace import WorkSpace, WorkList
 from onbld.Scm.Backup import CdmBackup
@@ -167,7 +169,7 @@
             ignorefiles.append(f)
 
     if ignorefiles:
-        ign = ignore.ignore(repo.root, ignorefiles, repo.ui.warn)
+        ign = Ignore.ignore(repo.root, ignorefiles)
         return canonified_check(ign)
     else:
         return util.never
